Bug 524393 - xinput list ignores device name argument
Summary: xinput list ignores device name argument
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-apps
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 19:30 UTC by Tom Horsley
Modified: 2018-04-11 11:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 17:31:20 UTC


Attachments (Terms of Use)

Description Tom Horsley 2009-09-19 19:30:08 UTC
Description of problem:

The xinput command online help as well as the man page claims that the "list"
command takes an optional device name, but if you give it a device name
the output from the command is identical to the same command without a
device name specified. This is double plus ungood when you are attempting
to use the list command to determine what the heck a legitimate device
name might look like :-).


Version-Release number of selected component (if applicable):
xorg-x11-apps-7.4-4.fc12.x86_64

How reproducible:
every time

Steps to Reproduce:
1. xinput list
2. xinput list 'Kensington      Kensington Expert Mouse'
3. see identical results.
  
Actual results:
see above

Expected results:
just the info for the mouse

Additional info:

Finally found the devices names for sure by whipping out this little
program. Maybe a "list-device-names" command could be added to xinput?

#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/extensions/XInput.h>

int
main(int argc, char ** argv) {
   int i;
   int num_devices = 0;
   Display * d = XOpenDisplay(NULL);
   XDeviceInfo * di = XListInputDevices(d, &num_devices);
   for (i = 0; i < num_devices; ++i) {
      fputs(di[i].name, stdout);
      fputc('\n', stdout);
   }
   XFreeDeviceList(di);
   XCloseDisplay(d);
   return 0;
}

Comment 1 Matěj Cepl 2009-11-05 17:16:58 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Bug Zapper 2009-11-16 12:39:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Matěj Cepl 2010-02-26 12:25:34 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 4 Tom Horsley 2010-02-26 12:44:38 UTC
I just tried the fedora 12 xinput list, and it does indeed pay attention
to the optional argument now, I guess this is fixed.

Comment 5 Matěj Cepl 2010-03-02 17:31:20 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.